## nova-compute-lxd 0.5.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
requests>=2.2.0,!=2.4.0
oslo.config>=1.6.0  # Apache-2.0
oslo.concurrency>=1.4.1         # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.log
eventlet

=== debian/changelog ===
nova-compute-lxd (0.5.1-0ubuntu2) vivid; urgency=medium

  * debian/patches/fix-container-setup.patch: Fix container setup
    with LXD 0.7. (LP: #1447128) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Apr 2015 14:23:39 -0400

nova-compute-lxd (0.5.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 18 Apr 2015 20:52:45 -0400

nova-compute-lxd (0.5-0ubuntu2) vivid; urgency=medium

  * debian/patches/backport-fixes-from-master.patch: Backport miscalenous 
    fixes found during testing. (LP: #1439931)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Apr 2015 22:50:56 -0400

nova-compute-lxd (0.5-0ubuntu1) vivid; urgency=low

  * Initial upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Mar 2015 15:09:32 -0400

=== debian/control ===
Source: nova-compute-lxd
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6.3~), python-pbr, python-requests,
 python-oslo-config, python-oslo-concurrency, python-oslo-utils, python-oslo-log, python-oslo-i18n,
 python-eventlet, python-oslosphinx, python-oslotest, testrepository, python-testscenarios, 
 python-testtools, python-setuptools
Standards-Version: 3.9.6

Package: nova-compute-lxd
Architecture: all
Depends: lxd, nova-compute, python-nova.lxd, ${python:Depends}, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: Openstack Compute - LXD container support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides common dependencies and setup for the LXD
 container hypervisor, providing a secure way to run instances as LXC
 containers under OpenStack.

Package: python-nova.lxd
Architecture: all
Depends: python-babel, python-oslo-config, python-requests, 
 python-oslo-concurrency, python-oslo-utils, python-oslo-log, python-oslo-i18n,
 python-eventlet, ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: OpenStack Compute Python libraries - LXD driver
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of LXD driver

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@ --with python2

PACKAGE=nova-compute-lxd
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
 TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	git clone git://github.com/lxc/$(PACKAGE).git get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	cd get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig 
	rm -rf get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig/.git
	GZIP=--best tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo " "$(TARBALL)" created; move it to the right destination to build the package"

## nova-compute-lxd 0.18

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3
requests>=2.5.2
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0

=== debian/changelog ===
nova-compute-lxd (0.18-0ubuntu3) wily; urgency=medium

  * debian/patches/fix-container-migration.patch: Fix container resize
    and migration. (LP: #1507706)

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 18 Oct 2015 11:40:01 -0400

nova-compute-lxd (0.18-0ubuntu2) wily; urgency=medium

  * debian/patches/fix-snapshot-create.patch: Fix image creation
    when deploying from a snapshot. (LP: #1505842) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Oct 2015 18:57:35 -0400

nova-compute-lxd (0.18-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * Drop all patches.
  * d/rules: Add helper for generating snapshots.
  * Enable unit test execution.

  [ Chuck Short ]
  * New upstream release. (LP: #1501975)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Oct 2015 22:00:19 -0400

nova-compute-lxd (0.17-0ubuntu3) wily; urgency=medium

  * debian/patches/check-for-unix-sockets.patch: Check to see
    if we can use unix sockets before performing an action.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Sep 2015 00:19:00 -0400

nova-compute-lxd (0.17-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Adjust build dependencies.
    - Adjust test dependencies.
  * debian/patches/adjust-image-properties.patch: Backport patch
    from upstream so that glanceclient and lxd syncs up. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Sep 2015 20:40:49 -0400

nova-compute-lxd (0.17-0ubuntu1) wily; urgency=medium

  * New upstream release. (LP: #1498110)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Sep 2015 13:33:47 -0400

nova-compute-lxd (0.16-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * debian/patches/fix-container-setup.patch: Dropped no
    longer needed.
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 20 Aug 2015 14:33:49 -0400

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@ --with python2

PACKAGE=nova-compute-lxd
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

override_dh_auto_test:
	ostestr

get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	git clone git://github.com/lxc/$(PACKAGE).git get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	cd get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig/.git
	GZIP=--best tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo " "$(TARBALL)" created; move it to the right destination to build the package"

BRANCH = master
DATE=$(shell date +%Y%m%d%H%M)
get-orig-snapshot:
	rm -Rf nova-compute-lxd-upstream
	git clone https://github.com/lxc/nova-compute-lxd nova-compute-lxd-upstream
	cd nova-compute-lxd-upstream && \
		export COMMIT=`git rev-parse --short HEAD` && \
		export UPSTREAM_VERSION=`grep version setup.cfg | cut -d ' ' -f 3` && \
		git archive --format tgz --prefix=nova-compute-lxd-$$UPSTREAM_VERSION~git$(DATE)/ \
			-o ../../nova-compute-lxd_$$UPSTREAM_VERSION~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
	rm -Rf nova-compute-lxd-upstream
